{ ASE: Abandoned session eliminator.
  Copyright (C) 2018-2019 Michael Malicoat <michael@circusmachina.com>.  All
  rights reserved.

  This program is free software: you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License or, at your option, any later
  version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABLITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  You should have received a copy of the GNU General Public License along with
  this program.  If not, see <http://www.gnu.org/licenses/>.

  This utility can be used to forcibly log off disconnected user sessions on
  machines running Windows 7 or later.  These sessions may occur in situations
  where a computer is shared between multiple users, and the users do not log
  off of the machine when they are finished.

  The program is configured with an INI file, named "ase.ini", that it expects
  to find in:
    %ProgramData%\ASE

  The INI file contains documentation on each of its settings.

  The utility can be paired with a Task Scheduler task that runs in the System
  context in order to evaluate and log off local sessions on a regular basis.
}
program ase;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  { Most of the action takes place here}
  aseapplication;

var
  // The main thread
  ThisApplication: AnASEApplication;

{$R *.res}

begin
  // Create and initialize the main thread
  ThisApplication := AnASEApplication.create(nil);

  // Execute the main thread
  ThisApplication.run;
  // Return success or failure to the OS
  exitCode := ThisApplication.exitCode;

  // Clean up
  ThisApplication.free;
end.

